Get an allergy intolerance by ID
get
/AllergyIntolerance/{id}
Note: The FHIR API endpoints described below are currently pending production deployment for electronic health record (EHR) environments. Developers are welcome and encouraged to develop against the specifications in anticipation of production availability, which will be announced at a later date.
Retrieves an individual allergy intolerance by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The credentials to authenticate a consumer to the service. This should be the OAuth2 Bearer Token.
There's no request body for this operation.
Back to TopResponse
200 Response
Successful retrieve response.
Root Schema : AllergyIntolerance
Type:
Show Source
object-
clinicalStatus:
clinicalStatus
The clinical status of the allergy or intolerance.
-
code(required):
code
The code for an allergy or intolerance statement.
-
id(required): string
-
patient(required):
patient
The patient who has the allergy or intolerance.
-
reaction: array
reaction
The details about each adverse reaction event linked to exposure to the identified substance.
-
resourceType(required): string
Allowed Values:
[ "AllergyIntolerance" ] -
verificationStatus:
verificationStatus
The assertion about the certainty associated with the propensity, or potential risk, of a reaction to the identified substance.
Nested Schema : clinicalStatus
The clinical status of the allergy or intolerance.
Match All
The clinical status of the allergy or intolerance.
Show Source
Nested Schema : code
The code for an allergy or intolerance statement.
Match All
The code for an allergy or intolerance statement.
Show Source
Nested Schema : patient
The patient who has the allergy or intolerance.
Match All
The patient who has the allergy or intolerance.
Show Source
Nested Schema : reaction
Type:
arrayThe details about each adverse reaction event linked to exposure to the identified substance.
Show Source
Nested Schema : verificationStatus
The assertion about the certainty associated with the propensity, or potential risk, of a reaction to the identified substance.
Match All
The assertion about the certainty associated with the propensity, or potential risk, of a reaction to the identified substance.
Show Source
Nested Schema : AllergyIntoleranceReaction
Type:
Show Source
object-
manifestation(required): array
manifestation
The clinical symptoms, signs, or both that are observed or associated with the adverse reaction event.
Nested Schema : manifestation
Type:
arrayThe clinical symptoms, signs, or both that are observed or associated with the adverse reaction event.
Show Source
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
Show Source
object-
issue(required): array
issue
-
resourceType(required): string
Allowed Values:
[ "OperationOutcome" ]